org.apache.maven.artifact.repository.metadata

## Class DefaultRepositoryMetadataManager

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.artifact.repository.metadata.DefaultRepositoryMetadataManager

- All Implemented Interfaces:
    RepositoryMetadataManager

      public class DefaultRepositoryMetadataManager
      extends AbstractLogEnabled
      implements RepositoryMetadataManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRepositoryMetadataManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deploy(ArtifactMetadata metadata, ArtifactRepository localRepository, ArtifactRepository deploymentRepository)` Deploy metadata to the remote repository.
    `void` | `install(ArtifactMetadata metadata, ArtifactRepository localRepository)` Install the metadata in the local repository.
    `protected static Metadata` | `readMetadata(java.io.File mappingFile)`
    `void` | `resolve(RepositoryMetadata metadata, java.util.List remoteRepositories, ArtifactRepository localRepository)`
    `void` | `resolveAlways(RepositoryMetadata metadata, ArtifactRepository localRepository, ArtifactRepository remoteRepository)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRepositoryMetadataManager

          public DefaultRepositoryMetadataManager()

  - ### Method Detail

    - #### resolve

          public void resolve(RepositoryMetadata metadata,
                     java.util.List remoteRepositories,
                     ArtifactRepository localRepository)
                       throws RepositoryMetadataResolutionException

      Specified by:
        `resolve` in interface `RepositoryMetadataManager`
      Throws:
        `RepositoryMetadataResolutionException`

    - #### readMetadata

          protected static Metadata readMetadata(java.io.File mappingFile)
                                          throws RepositoryMetadataReadException

      Throws:
        `RepositoryMetadataReadException`

    - #### resolveAlways

          public void resolveAlways(RepositoryMetadata metadata,
                           ArtifactRepository localRepository,
                           ArtifactRepository remoteRepository)
                             throws RepositoryMetadataResolutionException

      Specified by:
        `resolveAlways` in interface `RepositoryMetadataManager`
      Throws:
        `RepositoryMetadataResolutionException`

    - #### deploy

          public void deploy(ArtifactMetadata metadata,
                    ArtifactRepository localRepository,
                    ArtifactRepository deploymentRepository)
                      throws RepositoryMetadataDeploymentException

      Description copied from interface: `RepositoryMetadataManager`
      Deploy metadata to the remote repository.
      Specified by:
        `deploy` in interface `RepositoryMetadataManager`
      Parameters:
        `metadata` - the metadata to deploy
        `localRepository` - the local repository to install to first
        `deploymentRepository` - the remote repository to deploy to
      Throws:
        `RepositoryMetadataDeploymentException`

    - #### install

          public void install(ArtifactMetadata metadata,
                     ArtifactRepository localRepository)
                       throws RepositoryMetadataInstallationException

      Description copied from interface: `RepositoryMetadataManager`
      Install the metadata in the local repository.
      Specified by:
        `install` in interface `RepositoryMetadataManager`
      Parameters:
        `metadata` - the metadata
        `localRepository` - the local repository
      Throws:
        `RepositoryMetadataInstallationException`